# class RSS::Maker::ItemsBase::ItemBase

### Constants

AuthorsBase
CategoriesBase
ContributorsBase
LinksBase

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/rss/maker/base.rb, line 757
    def <=>(other)
      _date = date || dc_date
      _other_date = other.date || other.dc_date
      if _date and _other_date
        _date <=> _other_date
      elsif _date
        1
      elsif _other_date
        -1
      else
        0
      end
    end

date=(_date) click to toggle source

    # File lib/rss/maker/base.rb, line 734
    def date=(_date)
      @date = _parse_date_if_needed(_date)
    end

pubDate() click to toggle source

    # File lib/rss/maker/base.rb, line 738
    def pubDate
      date
    end

pubDate=(date) click to toggle source

    # File lib/rss/maker/base.rb, line 742
    def pubDate=(date)
      self.date = date
    end

updated() click to toggle source

    # File lib/rss/maker/base.rb, line 746
    def updated
      date
    end

updated=(date) click to toggle source

    # File lib/rss/maker/base.rb, line 750
    def updated=(date)
      self.date = date
    end